Subject: [bug#56303] [PATCH] gnu: ruby: Update to 3.0.4 [security fixes].

From: Maxime Devos <[email-masked]>
Date: Thu, 30 Jun 2022 13:17:41 +0200

Maxime Devos schreef op do 30-06-2022 om 12:07 [+0200]:
> Remco van 't Veer schreef op wo 29-06-2022 om 17:55 [+0200]:
> >  (define-public ruby-3.0
> >    (package
> >      (inherit ruby-2.7)
> > -    (version "3.0.2")
> > +    (version "3.0.4")
> >      (source
> >       (origin
> >         (method url-fetch)
> > @@ -198,7 +199,7 @@ (define-public ruby-3.0
> >                             "/ruby-" version ".tar.xz"))
> >         (sha256
> >          (base32
> > -        
> "0h2w2ms4gx2s96v3lzdr3add94bd2qqkhdjzaycmaqhg21rpf3jp"))))))
> > +        
> "1w7jpq3flnm007z5kj8kixgm8l4smb80w8ak4993a12j0irzq8lf"))))))
> 
> Hash matches what I get locally (without fallbacks).
> The download matches the hashes at
> <https://www.ruby-lang.org/en/news/2022/04/12/ruby-3-0-4-released/>.
> 
> Next step: compare diff ...

Aside from some old bundling & generated file issues (for which I've
made another (non-blocking) bug report), diff didn't seem ‘suspicious’
while scrolling through it, though it would be rather easy to hide
something there.

So assuming it builds, I don't expect problems with this update.
(Also, it doesn't have any dependents.)

Greetings,
Maxime.